# Class Rest

java.lang.Object
com.codename1.io.rest.Rest

public abstract class Rest extends Object
This class is used to create the Http RequestBuilder(get/post/head/options/delete/put)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RequestBuilder`
  `delete(String url)`
  Creates a DELETE request builder
  `static RequestBuilder`
  `get(String url)`
  Creates a GET request builder
  `static RequestBuilder`
  `head(String url)`
  Creates a HEAD request builder
  `static RequestBuilder`
  `options(String url)`
  Creates a OPTIONS request builder
  `static RequestBuilder`
  `patch(String url)`
  Creates a PATCH request builder
  `static RequestBuilder`
  `post(String url)`
  Creates a POST request builder
  `static RequestBuilder`
  `put(String url)`
  Creates a PUT request builder

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Rest

    public Rest()

- ## Method Details

  - ### get

    public static RequestBuilder get(String url)

    Creates a GET request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### head

    public static RequestBuilder head(String url)

    Creates a HEAD request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### patch

    public static RequestBuilder patch(String url)

    Creates a PATCH request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### options

    public static RequestBuilder options(String url)

    Creates a OPTIONS request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### post

    public static RequestBuilder post(String url)

    Creates a POST request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### delete

    public static RequestBuilder delete(String url)

    Creates a DELETE request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance

  - ### put

    public static RequestBuilder put(String url)

    Creates a PUT request builder

    ###### Parameters

    - `url`: The request URL

    ###### Returns

    RequestBuilder instance